Skip to main content
GET
/
api
/
v1
/
public
/
workspaces
/
with-websites
List Workspaces With Websites
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/workspaces/with-websites \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "<string>",
    "websites": [
      {
        "id": 123,
        "name": "<string>",
        "url": "<string>",
        "has_active_subscription": true,
        "plan_tier": "<string>"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Response

Successful Response

id
integer
required
name
string
required
role
enum<string>
required
Available options:
owner,
admin,
member
websites
WorkspaceWebsiteItem · object[]
required